import shallot

# Write an subclass of shallot.Actions.ActionAction for implementing
# an executable custom action.

class MyAction(shallot.Actions.ActionAction):

    def __init__(self):
        shallot.Actions.ActionAction.__init__(self, "My action", icon="")

    def action(self, info):
        # Open the log from the shallot main menu for verifying the execution.
        shallot.Logging.log_info("Hello world!")


# Here we construct the action directly at startup and execute it.
# Later chapters show how to add them to menus or the toolbar.
myaction = MyAction()
myaction.initialize_sync()
myaction.execute()
